unit u2;
interface

type
  TMyClass2 = class
  public
    procedure P;
  end;

procedure P;

implementation

procedure TMyClass2.P;
begin
  writeln(ClassName);
end;

procedure P;
begin
  writeln(2);
end;

end.